Python version


(Rodrigo Ribas) #1

Hi folks, which Python version should I use to create a demo Rasa bot? I´m following the steps described on the documentation and also steps from a video that I found on Vimeo (published by Justina Petraityte), but I get an error when I run the command “python nlu_model.py”… I´m using Python 3.6.5 x64 for windows on a Windows Server 2012 R2.

RuntimeError: module compiled against API version 0xc but this version of numpy is 0xb ImportError: numpy.core.multiarray failed to import ImportError: numpy.core.umath failed to import ImportError: numpy.core.umath failed to import 2019-02-08 16:53:22.814134: F tensorflow/python/lib/core/bfloat16.cc:675] Check failed: PyBfloat16_Type.tp_base != nullptr


(Vaibhavjainv) #2

The only version that worked properly for me on a MacBook was 3.5